Triton Mobile SDK for Android 3.5.1 This is a custom android player made by Triton Digital

Loading...
Searching...
No Matches
Protected Member Functions | List of all members
com.tritondigital.sdksample.player.MultiStationsPlayerActivity Class Reference

Created by mkabore on 31/08/2017. More...

Inheritance diagram for com.tritondigital.sdksample.player.MultiStationsPlayerActivity:

## Protected Member Functions
void | onCreate (Bundle savedInstanceState)
int | getLayout ()
void | reset ()
Bundle | createPlayerSettings ()
void | setInputEnabled (boolean enabled)
Protected Member Functions inherited from com.tritondigital.sdksample.player.TritonPlayerActivity
void | onPostCreate (Bundle savedInstanceState)
void | onResume ()
void | onPause ()
void | onDestroy ()
void | seek (int seconds)
void | seekToLive ()
void | createPlayer ()
void | startProgram ()
void | startPlayer ()
void | stopPlayer ()
void | releasePlayer ()

## Additional Inherited Members
Public Member Functions inherited from com.tritondigital.sdksample.player.TritonPlayerActivity
boolean | onCreateOptionsMenu (Menu menu)
void | onClick (View v)
void | onCuePointReceived (MediaPlayer player, Bundle cuePoint)
void | onInfo (MediaPlayer player, int info, int extra)
void | onAnalyticsReceivedListener (MediaPlayer player, Format format)
void | onStateChanged (MediaPlayer player, int state)
void | onMetaDataReceived (MediaPlayer player, Bundle metadata)
void | onCloudStreamInfoReceivedListener (MediaPlayer player, String cloudStreamInfo)
String | getmProgramUniqueId ()
void | setmProgramUniqueId (String mProgramUniqueId)
Protected Attributes inherited from com.tritondigital.sdksample.player.TritonPlayerActivity
TextView | mPlayerLogView
TritonPlayer | mTritonPlayer
StringBuilder | mDateFormatBuffer = new StringBuilder()
Static Protected Attributes inherited from com.tritondigital.sdksample.player.TritonPlayerActivity
static final String | IMAGE_URI = "http://mobileapps.streamtheworld.com/android/tritondigital_tritonradio/icon_512.png"

## Detailed Description

Created by mkabore on 31/08/2017.

## Member Function Documentation

## ◆ createPlayerSettings()

Bundle com.tritondigital.sdksample.player.MultiStationsPlayerActivity.createPlayerSettings | ( |  | ) |
| protected

Reimplemented from com.tritondigital.sdksample.player.TritonPlayerActivity.

## ◆ getLayout()

int com.tritondigital.sdksample.player.MultiStationsPlayerActivity.getLayout | ( |  | ) |
| protected

Reimplemented from com.tritondigital.sdksample.player.TritonPlayerActivity.

## ◆ onCreate()

void com.tritondigital.sdksample.player.MultiStationsPlayerActivity.onCreate | ( | Bundle | savedInstanceState | ) |
| protected

Reimplemented from com.tritondigital.sdksample.player.TritonPlayerActivity.

## ◆ reset()

void com.tritondigital.sdksample.player.MultiStationsPlayerActivity.reset | ( |  | ) |
| protected

Reimplemented from com.tritondigital.sdksample.player.TritonPlayerActivity.

## ◆ setInputEnabled()

void com.tritondigital.sdksample.player.MultiStationsPlayerActivity.setInputEnabled | ( | boolean | enabled | ) |
| protected

Reimplemented from com.tritondigital.sdksample.player.TritonPlayerActivity.

The documentation for this class was generated from the following file:

- released_modules/src/main/java/com/tritondigital/sdksample/player/MultiStationsPlayerActivity.java